package app.events;

/**
 * Event signalizing that a file was selected in the filetree.
 * 
 * Not to be confused with {@link OpenFileEvent}
 */
public class FileSelectedEvent extends Event {

  private String path;

  /**
   * Event signalizing that a file was selected in the filetree.
   * 
   * Not to be confused with {@link OpenFileEvent}
   * @param path The path of the selected file
   */
  public FileSelectedEvent(String path) {
    this.path = path;
  }

  /**
   * @return The path of the selected file
   */
  public String getPath() {
    return this.path;
  }

}
