package app.events;

/**
 * Event signalizing that a file outside the current project is supposed to be opened in the editor.
 * 
 * Not to be confused with {@link FileSelectedEvent}
 */
public class OpenFileEvent extends Event {

    private String path;

    /**
     * Event signalizing that a file outside the current project is supposed to be opened in the editor.
     * @param path The path of the file to be opened
     */
    public OpenFileEvent(String path) {
        this.path = path;
    }

    /**
     * @return The path of the file to be opened
     */
    public String getPath() {
        return this.path;
    }

}
