package app.events;

/**
 * Event signalizing that a folder is supposed to be opened in the filetree.
 */
public class OpenProjectEvent extends Event {

    private String path;

    /**
     * Event signalizing that a folder is supposed to be opened in the filetree.
     * @param path The path of the folder to be opened
     */
    public OpenProjectEvent(String path) {
        this.path = path;
    }

    /**
     * @return The path of the folder to be opened
     */
    public String getPath() {
        return this.path;
    }
}
