package app.model;

import java.nio.file.Path;

import javafx.scene.Scene;

/**
 * Data model of the application.
 * 
 * Contains a static reference to state that has to be accessed by multiple
 * pieces in the application, including the state like primary scene.
 */
public class Model {
  private static boolean fileIsSaved;
  private static Path activeFilePath;
  private static Path currentProjectPath;
  private static ProgrammingLanguage currentProgrammingLanguage;
  private static Scene scene;

  public static Path getActiveFilePath() {
    return activeFilePath;
  }

  public static void setActiveFilePath(Path path) {
    Model.activeFilePath = path;
  }

  public static Path getProjectPath() {
    return currentProjectPath;
  }

  public static void setProjectPath(Path path) {
    Model.currentProjectPath = path;
  }

  public static ProgrammingLanguage getLanguage() {
    return currentProgrammingLanguage;
  }

  public static Scene getScene() {
    return scene;
  }

  public static boolean getFileIsSaved() {
    return fileIsSaved;
  }

  public static void setLanguage(ProgrammingLanguage language) {
    Model.currentProgrammingLanguage = language;
  }

  public static void setScene(Scene scene) {
    Model.scene = scene;
  }

  public static void setFileIsSaved(boolean fileIsSaved) {
    Model.fileIsSaved = fileIsSaved;
  }

}