package app.model;

import java.net.URL;
import java.util.Map;
import java.util.regex.Pattern;

public interface ProgrammingLanguage {
  /**
   * The name of the programming language
   */
  public String getName();
  
  /**
   * The icon of the programming language
   * @return The path of the icon
   */
  public URL getIcon();

  /**
   * The map containing the regex and corresponding style-classes to be used for syntax highlighting
   */
  public Map<Pattern,String> getPatternMap();

  /**
   * The pattern containing all regexes for syntax highlighting
   */
  public Pattern getPattern();

  public String commentLine(String line);
  public String unCommentLine(String line);
  public boolean isCommentedLine(String line);

  public String commentSelection(String selection);
  public String unCommentSelection(String selection);
  public boolean isCommentedSelection(String selection);

}
